Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.wocompat.parser
Class Parser

    java.lang.Object
      org.objectstyle.cayenne.wocompat.parser.Parser

All Implemented Interfaces:
  ParserConstants

    public class Parser

extends java.lang.Object
implements ParserConstants

NeXT/Apple Property List format parser.

Contributed by Jeff Martin and Josh from Report Mill - http://www.reportmill.com/

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ParserTokenManager` | `token_source`

Fields inherited from interface org.objectstyle.cayenne.wocompat.parser.ParserConstants
`DEFAULT, EOF, FLOAT, INT, QUOTED_STRING, STRING, tokenImage, WithinComment, WithinQuotedString`

Constructor Summary
`Parser()`
`Parser(java.io.File f)`
`Parser(java.io.InputStream stream)`
`Parser(ParserTokenManager tm)`
`Parser(java.io.Reader stream)`
`Parser(java.lang.String filename)`

Method Summary
`java.util.ArrayList` | `array()`
`java.util.HashMap` | `dictionary()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `keyValuePair(java.util.Map map)`
`java.lang.Object` | `leaf()`
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `object()`
`java.lang.Object` | `propertyList()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(ParserTokenManager tm)`
`void` | `ReInit(java.io.Reader stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### Parser

    public Parser()

### Parser

    public Parser(java.lang.String filename)
           throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### Parser

    public Parser(java.io.File f)
           throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### Parser

    public Parser(java.io.InputStream stream)

### Parser

    public Parser(java.io.Reader stream)

### Parser

    public Parser(ParserTokenManager tm)

Method Detail

### propertyList

    public java.lang.Object propertyList()

### main

    public static void main(java.lang.String[] args)

### object

    public final java.lang.Object object()
                                  throws ParseException

  Throws:
    `ParseException`

### leaf

    public final java.lang.Object leaf()
                                throws ParseException

  Throws:
    `ParseException`

### dictionary

    public final java.util.HashMap dictionary()
                                       throws ParseException

  Throws:
    `ParseException`

### keyValuePair

    public final void keyValuePair(java.util.Map map)
                            throws ParseException

  Throws:
    `ParseException`

### array

    public final java.util.ArrayList array()
                                    throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.